Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class HttpChallenge

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpChallenge

public class HttpChallenge
extends BasicValue

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Constructor Summary
`HttpChallenge()`

Method Summary
`java.lang.String` | `getAuthParameter(java.lang.String name)` Get an authentication parameter.
`HttpChallenge` | `getClone()` get a copy of the challenge, used to add some output value without hurting the challenge
`java.lang.String` | `getScheme()` Get the challenge scheme.
`java.lang.Object` | `getValue()`
`protected void` | `parse()` parse.
`void` | `setAuthParameter(java.lang.String name, java.lang.String value)` Set an auth parameter value.
`protected void` | `updateByteValue()`

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, invalidateByteValue, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpChallenge

    public HttpChallenge()

Method Detail

### getClone

    public HttpChallenge getClone()

  get a copy of the challenge, used to add some output value without hurting the challenge
  Returns:
    the clone of this challenge

### parse

    protected void parse()
                  throws HttpParserException

  parse.
  Throws:
    HttpParserException - if parsing failed.
  Overrides:
    parse in class BasicValue

### updateByteValue

    protected void updateByteValue()

  Overrides:
    updateByteValue in class BasicValue

### getValue

    public java.lang.Object getValue()

  Overrides:
    getValue in class BasicValue

### getScheme

    public java.lang.String getScheme()

  Get the challenge scheme.
  Returns:
    A String encoding the challenge scheme identifier.

### getAuthParameter

    public java.lang.String getAuthParameter(java.lang.String name)

  Get an authentication parameter.
  Parameters:
    `name` - The name of the parameter.
  Returns:
    A String encoded value for this parameter, or null

### setAuthParameter

    public void setAuthParameter(java.lang.String name,
                                 java.lang.String value)

  Set an auth parameter value.
  Parameters:
    `name` - The name of the parameter to set.
    `value` - The new value for this parameter.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD